Skip to content

Embedded REST API Reference 🌐

PalSupervisor embeds a native high-performance, non-blocking HTTP server listening on port 27020 (customizable in config.json). The API allows server management dashboards, Discord bots, and remote administrative tools to monitor and control PalServer with zero tick degradation.

Total Available Endpoints: 218

Each category below can be expanded or minimized. Click any category to reveal its endpoints, and click any endpoint to inspect its URL parameters, Send Format (Request headers & payload), and Receive Format (Success 200 OK & error codes).

Authentication & Headers

Administrative endpoints require authentication via one of the following methods:

  • Header X-API-Key: Matches the api.api_key in config.json (Default: changeme-admin-key).
  • Header Authorization: Bearer <token>: JWT session token obtained from POST /auth/login.
  • Content-Type: Must be application/json for POST requests with a body.

🔐 Authentication & System Health (16 endpoints)

JWT token authentication, server health telemetry, version metadata, license entitlements, and live performance metrics.

GET /api/janitor/config — Api Janitor Config

Description: Endpoint GET /api/janitor/config for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /api/janitor/config HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/api/janitor/config \
  -H "X-API-Key: changeme-admin-key"
POST /api/janitor/config — Api Janitor Config

Description: Endpoint POST /api/janitor/config for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /api/janitor/config HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/api/janitor/config \
  -H "X-API-Key: changeme-admin-key"
GET /api/license — Api License

Description: Endpoint GET /api/license for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /api/license HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/api/license \
  -H "X-API-Key: changeme-admin-key"
GET /api/version — Api Version

Description: Endpoint GET /api/version for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /api/version HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/api/version \
  -H "X-API-Key: changeme-admin-key"
POST /auth/login — Auth Login

Description: Endpoint POST /auth/login for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /auth/login HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/auth/login \
  -H "X-API-Key: changeme-admin-key"
GET /config — Config

Description: Endpoint GET /config for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /config HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/config \
  -H "X-API-Key: changeme-admin-key"
POST /config/reload — Config Reload

Description: Endpoint POST /config/reload for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /config/reload HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/config/reload \
  -H "X-API-Key: changeme-admin-key"
GET /health — Health

Description: Endpoint GET /health for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /health HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/health \
  -H "X-API-Key: changeme-admin-key"
GET /janitor/config — Janitor Config

Description: Endpoint GET /janitor/config for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /janitor/config HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/janitor/config \
  -H "X-API-Key: changeme-admin-key"
POST /janitor/config — Janitor Config

Description: Endpoint POST /janitor/config for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /janitor/config HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/janitor/config \
  -H "X-API-Key: changeme-admin-key"
GET /metrics — Metrics

Description: Endpoint GET /metrics for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /metrics HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/metrics \
  -H "X-API-Key: changeme-admin-key"
GET /server/license — Server License

Description: Endpoint GET /server/license for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /server/license HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/server/license \
  -H "X-API-Key: changeme-admin-key"
GET /server/stats — Server Stats

Description: Endpoint GET /server/stats for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /server/stats HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/server/stats \
  -H "X-API-Key: changeme-admin-key"
GET /v1/api/info — V1 Api Info

Description: Endpoint GET /v1/api/info for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /v1/api/info HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/v1/api/info \
  -H "X-API-Key: changeme-admin-key"
GET /v1/api/metrics — V1 Api Metrics

Description: Endpoint GET /v1/api/metrics for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /v1/api/metrics HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/v1/api/metrics \
  -H "X-API-Key: changeme-admin-key"
GET /version — Version

Description: Endpoint GET /version for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /version HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/version \
  -H "X-API-Key: changeme-admin-key"
👥 Player Moderation & Management (55 endpoints)

Comprehensive player administration, live player lists, kicking, banning, muting, freezing, godmode, teleportation, alerts, and violation evidence logs.

GET / — Root Status

Description: Endpoint GET / for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET / HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/ \
  -H "X-API-Key: changeme-admin-key"
POST /admin/alert — Admin Alert

Description: Endpoint POST /admin/alert for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/alert HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/alert \
  -H "X-API-Key: changeme-admin-key"
POST /admin/alertall — Admin Alertall

Description: Endpoint POST /admin/alertall for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/alertall HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/alertall \
  -H "X-API-Key: changeme-admin-key"
POST /admin/ban — Admin Ban

Description: Endpoint POST /admin/ban for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/ban HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/ban \
  -H "X-API-Key: changeme-admin-key"
POST /admin/broadcast — Admin Broadcast

Description: Endpoint POST /admin/broadcast for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/broadcast HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/broadcast \
  -H "X-API-Key: changeme-admin-key"
POST /admin/endspectate — Admin Endspectate

Description: Endpoint POST /admin/endspectate for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/endspectate HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/endspectate \
  -H "X-API-Key: changeme-admin-key"
POST /admin/freeze — Admin Freeze

Description: Endpoint POST /admin/freeze for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/freeze HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/freeze \
  -H "X-API-Key: changeme-admin-key"
POST /admin/godmode — Admin Godmode

Description: Endpoint POST /admin/godmode for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/godmode HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/godmode \
  -H "X-API-Key: changeme-admin-key"
POST /admin/heal — Admin Heal

Description: Endpoint POST /admin/heal for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/heal HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/heal \
  -H "X-API-Key: changeme-admin-key"
POST /admin/kick — Admin Kick

Description: Endpoint POST /admin/kick for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/kick HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/kick \
  -H "X-API-Key: changeme-admin-key"
POST /admin/kill — Admin Kill

Description: Endpoint POST /admin/kill for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/kill HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/kill \
  -H "X-API-Key: changeme-admin-key"
POST /admin/message — Admin Message

Description: Endpoint POST /admin/message for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/message HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/message \
  -H "X-API-Key: changeme-admin-key"
POST /admin/mute — Admin Mute

Description: Endpoint POST /admin/mute for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/mute HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/mute \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/clearwanted — Admin Player Clearwanted

Description: Endpoint POST /admin/player/clearwanted for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/clearwanted HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/clearwanted \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/freeze — Admin Player Freeze

Description: Endpoint POST /admin/player/freeze for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/freeze HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/freeze \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/godmode — Admin Player Godmode

Description: Endpoint POST /admin/player/godmode for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/godmode HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/godmode \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/heal — Admin Player Heal

Description: Endpoint POST /admin/player/heal for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/heal HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/heal \
  -H "X-API-Key: changeme-admin-key"
GET /admin/player/inspect — Admin Player Inspect

Description: Endpoint GET /admin/player/inspect for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /admin/player/inspect HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/admin/player/inspect \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/inspect — Admin Player Inspect

Description: Endpoint POST /admin/player/inspect for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/inspect HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/inspect \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/kill — Admin Player Kill

Description: Endpoint POST /admin/player/kill for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/kill HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/kill \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/lockfasttravel — Admin Player Lockfasttravel

Description: Endpoint POST /admin/player/lockfasttravel for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/lockfasttravel HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/lockfasttravel \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/mute — Admin Player Mute

Description: Endpoint POST /admin/player/mute for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/mute HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/mute \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/rename — Admin Player Rename

Description: Endpoint POST /admin/player/rename for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/rename HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/rename \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/triggerwanted — Admin Player Triggerwanted

Description: Endpoint POST /admin/player/triggerwanted for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/triggerwanted HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/triggerwanted \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/unfreeze — Admin Player Unfreeze

Description: Endpoint POST /admin/player/unfreeze for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/unfreeze HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/unfreeze \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/unlockfasttravel — Admin Player Unlockfasttravel

Description: Endpoint POST /admin/player/unlockfasttravel for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/unlockfasttravel HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/unlockfasttravel \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/unmute — Admin Player Unmute

Description: Endpoint POST /admin/player/unmute for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/unmute HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/unmute \
  -H "X-API-Key: changeme-admin-key"
POST /admin/respawn — Admin Respawn

Description: Endpoint POST /admin/respawn for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/respawn HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/respawn \
  -H "X-API-Key: changeme-admin-key"
POST /admin/setadmin — Admin Setadmin

Description: Endpoint POST /admin/setadmin for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/setadmin HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/setadmin \
  -H "X-API-Key: changeme-admin-key"
POST /admin/sethp — Admin Sethp

Description: Endpoint POST /admin/sethp for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/sethp HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/sethp \
  -H "X-API-Key: changeme-admin-key"
POST /admin/setsp — Admin Setsp

Description: Endpoint POST /admin/setsp for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/setsp HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/setsp \
  -H "X-API-Key: changeme-admin-key"
POST /admin/spectate — Admin Spectate

Description: Endpoint POST /admin/spectate for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/spectate HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/spectate \
  -H "X-API-Key: changeme-admin-key"
POST /admin/teleport — Admin Teleport

Description: Endpoint POST /admin/teleport for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/teleport HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/teleport \
  -H "X-API-Key: changeme-admin-key"
POST /admin/unban — Admin Unban

Description: Endpoint POST /admin/unban for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/unban HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/unban \
  -H "X-API-Key: changeme-admin-key"
POST /admin/unfreeze — Admin Unfreeze

Description: Endpoint POST /admin/unfreeze for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/unfreeze HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/unfreeze \
  -H "X-API-Key: changeme-admin-key"
POST /admin/unmute — Admin Unmute

Description: Endpoint POST /admin/unmute for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/unmute HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/unmute \
  -H "X-API-Key: changeme-admin-key"
POST /admin/vilog — Admin Vilog

Description: Endpoint POST /admin/vilog for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/vilog HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/vilog \
  -H "X-API-Key: changeme-admin-key"
GET /api/events/stream — Api Events Stream

Description: Endpoint GET /api/events/stream for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /api/events/stream HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/api/events/stream \
  -H "X-API-Key: changeme-admin-key"
GET /api/players/all — Api Players All

Description: Endpoint GET /api/players/all for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /api/players/all HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/api/players/all \
  -H "X-API-Key: changeme-admin-key"
POST /api/popup — Api Popup

Description: Endpoint POST /api/popup for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /api/popup HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/api/popup \
  -H "X-API-Key: changeme-admin-key"
POST /api/reward/item — Api Reward Item

Description: Endpoint POST /api/reward/item for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /api/reward/item HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/api/reward/item \
  -H "X-API-Key: changeme-admin-key"
GET /bans — Bans

Description: Endpoint GET /bans for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /bans HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/bans \
  -H "X-API-Key: changeme-admin-key"
GET /events/stream — Events Stream

Description: Endpoint GET /events/stream for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /events/stream HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/events/stream \
  -H "X-API-Key: changeme-admin-key"
GET /players — Players

Description: Endpoint GET /players for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /players HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/players \
  -H "X-API-Key: changeme-admin-key"
GET /players/all — Players All

Description: Endpoint GET /players/all for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /players/all HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/players/all \
  -H "X-API-Key: changeme-admin-key"
POST /v1/api/announce — V1 Api Announce

Description: Endpoint POST /v1/api/announce for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /v1/api/announce HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/v1/api/announce \
  -H "X-API-Key: changeme-admin-key"
POST /v1/api/ban — V1 Api Ban

Description: Endpoint POST /v1/api/ban for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /v1/api/ban HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/v1/api/ban \
  -H "X-API-Key: changeme-admin-key"
POST /v1/api/kick — V1 Api Kick

Description: Endpoint POST /v1/api/kick for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /v1/api/kick HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/v1/api/kick \
  -H "X-API-Key: changeme-admin-key"
GET /v1/api/players — V1 Api Players

Description: Endpoint GET /v1/api/players for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /v1/api/players HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/v1/api/players \
  -H "X-API-Key: changeme-admin-key"
POST /v1/api/popup — V1 Api Popup

Description: Endpoint POST /v1/api/popup for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /v1/api/popup HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/v1/api/popup \
  -H "X-API-Key: changeme-admin-key"
POST /v1/api/reward/item — V1 Api Reward Item

Description: Endpoint POST /v1/api/reward/item for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /v1/api/reward/item HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/v1/api/reward/item \
  -H "X-API-Key: changeme-admin-key"
POST /v1/api/save — V1 Api Save

Description: Endpoint POST /v1/api/save for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /v1/api/save HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/v1/api/save \
  -H "X-API-Key: changeme-admin-key"
POST /v1/api/shutdown — V1 Api Shutdown

Description: Endpoint POST /v1/api/shutdown for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /v1/api/shutdown HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/v1/api/shutdown \
  -H "X-API-Key: changeme-admin-key"
POST /v1/api/unban — V1 Api Unban

Description: Endpoint POST /v1/api/unban for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /v1/api/unban HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/v1/api/unban \
  -H "X-API-Key: changeme-admin-key"
GET /violations — Violations

Description: Endpoint GET /violations for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /violations HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/violations \
  -H "X-API-Key: changeme-admin-key"
🎒 Inventory, Level & Tech Tree Controls (20 endpoints)

Direct inventory manipulation, item grants, item removals, experience adjustments, skill/tech tree unlocking, PalDex management, and stat resets.

POST /admin/give/exp — Admin Give Exp

Description: Endpoint POST /admin/give/exp for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/give/exp HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/give/exp \
  -H "X-API-Key: changeme-admin-key"
POST /admin/give/item — Admin Give Item

Description: Endpoint POST /admin/give/item for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/give/item HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/give/item \
  -H "X-API-Key: changeme-admin-key"
POST /admin/give/techpoints — Admin Give Techpoints

Description: Endpoint POST /admin/give/techpoints for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/give/techpoints HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/give/techpoints \
  -H "X-API-Key: changeme-admin-key"
POST /admin/inventory/clear — Admin Inventory Clear

Description: Endpoint POST /admin/inventory/clear for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/inventory/clear HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/inventory/clear \
  -H "X-API-Key: changeme-admin-key"
POST /admin/inventory/inspect — Admin Inventory Inspect

Description: Endpoint POST /admin/inventory/inspect for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/inventory/inspect HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/inventory/inspect \
  -H "X-API-Key: changeme-admin-key"
POST /admin/inventory/remove — Admin Inventory Remove

Description: Endpoint POST /admin/inventory/remove for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/inventory/remove HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/inventory/remove \
  -H "X-API-Key: changeme-admin-key"
POST /admin/inventory/repair — Admin Inventory Repair

Description: Endpoint POST /admin/inventory/repair for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/inventory/repair HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/inventory/repair \
  -H "X-API-Key: changeme-admin-key"
POST /admin/inventory/take — Admin Inventory Take

Description: Endpoint POST /admin/inventory/take for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/inventory/take HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/inventory/take \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/clearstats — Admin Player Clearstats

Description: Endpoint POST /admin/player/clearstats for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/clearstats HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/clearstats \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/giveexp — Admin Player Giveexp

Description: Endpoint POST /admin/player/giveexp for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/giveexp HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/giveexp \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/resetalltech — Admin Player Resetalltech

Description: Endpoint POST /admin/player/resetalltech for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/resetalltech HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/resetalltech \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/resetlevel — Admin Player Resetlevel

Description: Endpoint POST /admin/player/resetlevel for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/resetlevel HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/resetlevel \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/respec — Admin Player Respec

Description: Endpoint POST /admin/player/respec for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/respec HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/respec \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/setlevel — Admin Player Setlevel

Description: Endpoint POST /admin/player/setlevel for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/setlevel HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/setlevel \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/setmaxweight — Admin Player Setmaxweight

Description: Endpoint POST /admin/player/setmaxweight for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/setmaxweight HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/setmaxweight \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/setrelics — Admin Player Setrelics

Description: Endpoint POST /admin/player/setrelics for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/setrelics HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/setrelics \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/unlockalltech — Admin Player Unlockalltech

Description: Endpoint POST /admin/player/unlockalltech for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/unlockalltech HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/unlockalltech \
  -H "X-API-Key: changeme-admin-key"
POST /admin/players/resetalltech — Admin Players Resetalltech

Description: Endpoint POST /admin/players/resetalltech for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/players/resetalltech HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/players/resetalltech \
  -H "X-API-Key: changeme-admin-key"
POST /admin/players/unlearntech — Admin Players Unlearntech

Description: Endpoint POST /admin/players/unlearntech for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/players/unlearntech HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/players/unlearntech \
  -H "X-API-Key: changeme-admin-key"
POST /admin/players/unlockalltech — Admin Players Unlockalltech

Description: Endpoint POST /admin/players/unlockalltech for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/players/unlockalltech HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/players/unlockalltech \
  -H "X-API-Key: changeme-admin-key"
🐾 Pal Spawning & Monster Management (23 endpoints)

Palbox inspection, custom Pal injection with souls/IVs/passives, wild Pal spawning, NPC vendor spawning, and Pal revival.

POST /admin/custom/spawn — Admin Custom Spawn

Description: Endpoint POST /admin/custom/spawn for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/custom/spawn HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/custom/spawn \
  -H "X-API-Key: changeme-admin-key"
POST /admin/custom/spawnp — Admin Custom Spawnp

Description: Endpoint POST /admin/custom/spawnp for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/custom/spawnp HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/custom/spawnp \
  -H "X-API-Key: changeme-admin-key"
POST /admin/custom/spawnw — Admin Custom Spawnw

Description: Endpoint POST /admin/custom/spawnw for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/custom/spawnw HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/custom/spawnw \
  -H "X-API-Key: changeme-admin-key"
POST /admin/pals/give — Admin Pals Give

Description: Endpoint POST /admin/pals/give for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/pals/give HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/pals/give \
  -H "X-API-Key: changeme-admin-key"
POST /admin/pals/givecustom — Admin Pals Givecustom

Description: Endpoint POST /admin/pals/givecustom for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/pals/givecustom HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/pals/givecustom \
  -H "X-API-Key: changeme-admin-key"
POST /admin/pals/givenpc — Admin Pals Givenpc

Description: Endpoint POST /admin/pals/givenpc for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/pals/givenpc HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/pals/givenpc \
  -H "X-API-Key: changeme-admin-key"
POST /admin/pals/inspect — Admin Pals Inspect

Description: Endpoint POST /admin/pals/inspect for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/pals/inspect HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/pals/inspect \
  -H "X-API-Key: changeme-admin-key"
POST /admin/pals/remove — Admin Pals Remove

Description: Endpoint POST /admin/pals/remove for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/pals/remove HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/pals/remove \
  -H "X-API-Key: changeme-admin-key"
POST /admin/pals/revive — Admin Pals Revive

Description: Endpoint POST /admin/pals/revive for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/pals/revive HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/pals/revive \
  -H "X-API-Key: changeme-admin-key"
POST /admin/pals/spawnnpcp — Admin Pals Spawnnpcp

Description: Endpoint POST /admin/pals/spawnnpcp for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/pals/spawnnpcp HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/pals/spawnnpcp \
  -H "X-API-Key: changeme-admin-key"
POST /admin/pals/spawnnpcw — Admin Pals Spawnnpcw

Description: Endpoint POST /admin/pals/spawnnpcw for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/pals/spawnnpcw HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/pals/spawnnpcw \
  -H "X-API-Key: changeme-admin-key"
POST /admin/pals/spawnp — Admin Pals Spawnp

Description: Endpoint POST /admin/pals/spawnp for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/pals/spawnp HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/pals/spawnp \
  -H "X-API-Key: changeme-admin-key"
POST /admin/pals/spawnw — Admin Pals Spawnw

Description: Endpoint POST /admin/pals/spawnw for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/pals/spawnw HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/pals/spawnw \
  -H "X-API-Key: changeme-admin-key"
POST /admin/pals/take — Admin Pals Take

Description: Endpoint POST /admin/pals/take for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/pals/take HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/pals/take \
  -H "X-API-Key: changeme-admin-key"
POST /admin/pals/wipe — Admin Pals Wipe

Description: Endpoint POST /admin/pals/wipe for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/pals/wipe HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/pals/wipe \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/completepaldex — Admin Player Completepaldex

Description: Endpoint POST /admin/player/completepaldex for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/completepaldex HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/completepaldex \
  -H "X-API-Key: changeme-admin-key"
POST /admin/player/resetpaldex — Admin Player Resetpaldex

Description: Endpoint POST /admin/player/resetpaldex for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/player/resetpaldex HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/player/resetpaldex \
  -H "X-API-Key: changeme-admin-key"
POST /api/custom/spawn — Api Custom Spawn

Description: Endpoint POST /api/custom/spawn for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /api/custom/spawn HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/api/custom/spawn \
  -H "X-API-Key: changeme-admin-key"
POST /api/custom/spawnw — Api Custom Spawnw

Description: Endpoint POST /api/custom/spawnw for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /api/custom/spawnw HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/api/custom/spawnw \
  -H "X-API-Key: changeme-admin-key"
POST /api/reward/pal — Api Reward Pal

Description: Endpoint POST /api/reward/pal for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /api/reward/pal HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/api/reward/pal \
  -H "X-API-Key: changeme-admin-key"
POST /custom/spawn — Custom Spawn

Description: Endpoint POST /custom/spawn for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /custom/spawn HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/custom/spawn \
  -H "X-API-Key: changeme-admin-key"
POST /custom/spawnw — Custom Spawnw

Description: Endpoint POST /custom/spawnw for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /custom/spawnw HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/custom/spawnw \
  -H "X-API-Key: changeme-admin-key"
POST /v1/api/reward/pal — V1 Api Reward Pal

Description: Endpoint POST /v1/api/reward/pal for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /v1/api/reward/pal HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/v1/api/reward/pal \
  -H "X-API-Key: changeme-admin-key"
👑 World Bosses & Raid Battles (20 endpoints)

Boss battle management, manual raid triggering, boss coordinate spawning, instant kill, and raid cancellation.

POST /admin/boss/kill — Admin Boss Kill

Description: Endpoint POST /admin/boss/kill for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/boss/kill HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/boss/kill \
  -H "X-API-Key: changeme-admin-key"
POST /admin/boss/spawn — Admin Boss Spawn

Description: Endpoint POST /admin/boss/spawn for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/boss/spawn HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/boss/spawn \
  -H "X-API-Key: changeme-admin-key"
POST /admin/boss/spawnp — Admin Boss Spawnp

Description: Endpoint POST /admin/boss/spawnp for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/boss/spawnp HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/boss/spawnp \
  -H "X-API-Key: changeme-admin-key"
POST /admin/boss/spawnw — Admin Boss Spawnw

Description: Endpoint POST /admin/boss/spawnw for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /admin/boss/spawnw HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/admin/boss/spawnw \
  -H "X-API-Key: changeme-admin-key"
GET /api/bosses — Api Bosses

Description: Endpoint GET /api/bosses for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /api/bosses HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/api/bosses \
  -H "X-API-Key: changeme-admin-key"
POST /api/bosses/kill — Api Bosses Kill

Description: Endpoint POST /api/bosses/kill for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /api/bosses/kill HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/api/bosses/kill \
  -H "X-API-Key: changeme-admin-key"
POST /api/bosses/respawn — Api Bosses Respawn

Description: Endpoint POST /api/bosses/respawn for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /api/bosses/respawn HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/api/bosses/respawn \
  -H "X-API-Key: changeme-admin-key"
POST /api/bosses/spawn — Api Bosses Spawn

Description: Endpoint POST /api/bosses/spawn for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /api/bosses/spawn HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/api/bosses/spawn \
  -H "X-API-Key: changeme-admin-key"
POST /api/bosses/spawnw — Api Bosses Spawnw

Description: Endpoint POST /api/bosses/spawnw for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /api/bosses/spawnw HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/api/bosses/spawnw \
  -H "X-API-Key: changeme-admin-key"
GET /api/raids — Api Raids

Description: Endpoint GET /api/raids for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
#### Request (Send Format)
GET /api/raids HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X GET http://127.0.0.1:27020/api/raids \
  -H "X-API-Key: changeme-admin-key"
POST /api/raids/cancel — Api Raids Cancel

Description: Endpoint POST /api/raids/cancel for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /api/raids/cancel HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

curl -X POST http://127.0.0.1:27020/api/raids/cancel \
  -H "X-API-Key: changeme-admin-key"
POST /api/raids/trigger — Api Raids Trigger

Description: Endpoint POST /api/raids/trigger for PalServer administration and telemetry.
Authentication: Admin Key (X-API-Key or Bearer JWT)

Parameters

Name Type Description
X-API-Key header Administrative secret key configured in config.json
payload json object Action request parameters and target selectors
#### Request (Send Format)
POST /api/raids/trigger HTTP/1.1
Host: 127.0.0.1:27020
X-API-Key: changeme-admin-key
Content-Type: application/json

{}

Response (Receive Format)

200 OK (Success):

{
  "success": true,
  "status": "ok"
}
Error Response (400/401/404/500):
{
  "success": false,
  "error": "Unauthorized or invalid parameter"
}

Example curl

[...]
